Windows 10 Polaris Prerequisites

Home > Support > Documentation > Windows 10 Polaris Prerequisites

Once your computer has been updated you will also need to download and install the following:

  • Windows 10 64-bit (compatible with most computers)
  • Windows 10 32-bit (use this if the above version gives you a "This installation package is not supported by this processor type" error)

NOTE: If you are running Windows 10 Version 1803, you may experience mouse and graphics issues in Polaris.  To resolve, please upgrade to the latest version of Windows 10 appropriate for your environment (Version 1809 is the Long Term Support Channel option, while 1909 is the latest as of January 2020).